GoodInboxes Developers
API reference

Inspect an inventory purchase

GET
/api/v1/orders/{id}/inventory-inspection

Inspect owned orders, fulfillment milestones and purchase observations.

This is a point-in-time read. Unknown or pending must never trigger another payment or provider action.

Required scope: orders:read.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Scoped GoodInboxes API token

Path Parameters

id*string

Owned resource UUID.

Response Body

data.inspection with state, paymentStatus, assignmentStatus and checkedAt

application/json
  1. response
data*
requestId?string
curl -X GET "https://example.com/api/v1/orders/string/inventory-inspection"
{  "data": {    "inspection": {      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "state": "string",      "paymentStatus": "string",      "assignmentStatus": "string",      "completionStatus": "string",      "checkedAt": "2019-08-24T14:15:22Z"    }  },  "requestId": "string"}